Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## search
Class IndexFastaDB

    java.lang.Object
      search.IndexFastaDB

    public class IndexFastaDB

extends Object

`IndexFastaDB` will perform Biojava indexing of DNA or protein Fasta format files, creating an IndexedSequenceDB-compliant database. Setting the database name is optional; if not set, it defaults to being the same as the first file indexed. The index and store files are given the database name with the extension '.index' and '.store' respectively.

Since:
  1.1
Version:
  1.0
Author:
  Keith James

Constructor Summary
`IndexFastaDB()`

Method Summary
`static void` | `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndexFastaDB

    public IndexFastaDB()

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD